Package org.apache.maven.scm.provider.starteam.command.changelog

## Class StarteamChangeLogCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.changelog.AbstractChangeLogCommand
    - - org.apache.maven.scm.provider.starteam.command.changelog.StarteamChangeLogCommand

All Implemented Interfaces:
  `ChangeLogCommand`, `Command`, `StarteamCommand`

    public class StarteamChangeLogCommand
    extends AbstractChangeLogCommand
    implements StarteamCommand

Author:
  Emmanuel Venisse, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`StarteamChangeLogCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine​(StarteamScmProviderRepository repo, ScmFileSet workingDirectory, java.util.Date startDate)`
`protected ChangeLogScmResult` `executeChangeLogCommand​(ScmProviderRepository repo, ScmFileSet fileSet, java.util.Date startDate, java.util.Date endDate, ScmBranch branch, java.lang.String datePattern)`

### Methods inherited from class org.apache.maven.scm.command.changelog.AbstractChangeLogCommand

`executeChangeLogCommand, executeChangeLogCommand, executeChangeLogCommand, executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### StarteamChangeLogCommand

    public StarteamChangeLogCommand()

### Method Detail

#### executeChangeLogCommand

    protected ChangeLogScmResult executeChangeLogCommand​(ScmProviderRepository repo,
                                                         ScmFileSet fileSet,
                                                         java.util.Date startDate,
                                                         java.util.Date endDate,
                                                         ScmBranch branch,
                                                         java.lang.String datePattern)
                                                  throws ScmException

Specified by:
  `executeChangeLogCommand` in class `AbstractChangeLogCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine​(StarteamScmProviderRepository repo,
                                                                             ScmFileSet workingDirectory,
                                                                             java.util.Date startDate)